import { ErrorCode } from '../constants';
import { RpcErrorObject } from '../types';
export declare class RpcError extends Error {
    code: number;
    data?: {
        title: string;
        description?: string | undefined;
    } | undefined;
    id: number | null;
    constructor(message: keyof typeof ErrorCode, code: number, data?: {
        title: string;
        description?: string | undefined;
    } | undefined);
}
export declare function createErrorCustomError(code: number, title?: string, description?: string): RpcError;
export declare function createError(type: keyof typeof ErrorCode, title?: string, description?: string): RpcError;
export declare function fromRpcErrorToRpcErrorObject(error: RpcError, id?: null | number): RpcErrorObject;
export declare function getBodyError(exception: Error): RpcErrorObject;
